Bug 12590 - REGRESSION: Text selection is weird in textareas in Trac wiki editing pages
Summary: REGRESSION: Text selection is weird in textareas in Trac wiki editing pages
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-02-04 11:01 PST by Maciej Stachowiak
Modified: 2007-02-05 15:28 PST (History)
1 user (show)

See Also:


Attachments
Fix painting weirdness (576 bytes, patch)
2007-02-04 12:08 PST, mitz
no flags Details | Formatted Diff | Diff
Unweirdify selection (34.30 KB, patch)
2007-02-05 05:08 PST, mitz
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2007-02-04 11:01:35 PST
2006-07-29 05:51:03 Olivier Bonnet:
* STEPS TO REPRODUCE
1. Go to http://trac.edgewall.org/wiki/SandBox
2. Edit the page
2. Try selecting a big chunk of text in the edition area -> the selection jumps all around
Double-clicking in the edition area leads to strange behavior (see screenshot) although this seems less reproducible

This is a regression compared to Tiger.

2007-01-18 13:43:24 Adele Peterson:
Pasting edit link for convenience: http://trac.edgewall.org/wiki/SandBox?action=edit

2006-07-31 11:06:21 Alice Liu:
reproducible in 9A239.

2006-08-01 11:48:23 Alice Liu:
Safari BRB Reviewed

2006-10-10 06:38:49 Olivier Bonnet:
Still 100% reproducible on 9A282

2006-11-02 13:42:07 Adele Peterson:
Committed revision 17543.

2006-11-10 17:38:56 Timothy Hatcher:
Submitted in WebCore-521.30

2006-11-14 12:33:19 Michael Lock:
Please verify this software change against Leopard9A309

2006-12-01 08:54:03 Olivier Bonnet:
Unfortunately, this doesn't seem to be fixed, I can still reproduce the bug 100% on http://trac.edgewall.org/wiki/SandBox with Leopard 9A312.

2006-12-01 15:12:07 Stephanie Lewis:
This is easy to reproduce by selecting a chunk of text by dragging the mouse down, and then moving the mouse back up.

<rdar://problem/4658779>
Comment 1 mitz 2007-02-04 12:08:32 PST
Created attachment 12923 [details]
Fix painting weirdness

This fixes one weird aspect, which is the selection painting (more precisely, selection gap painting) when the textarea is scrolled. I think that this is what the bug report was about.
Comment 2 mitz 2007-02-05 05:08:33 PST
Created attachment 12932 [details]
Unweirdify selection

Now with repaint test and change log.
Comment 3 Darin Adler 2007-02-05 10:05:35 PST
Comment on attachment 12932 [details]
Unweirdify selection

r=me
Comment 4 David Kilzer (:ddkilzer) 2007-02-05 10:52:09 PST
Will this patch fix Bug 12593 as well?

Comment 5 mitz 2007-02-05 11:03:34 PST
(In reply to comment #4)
> Will this patch fix Bug 12593 as well?


No.
Comment 6 Sam Weinig 2007-02-05 15:28:41 PST
Landed in r19413.